libgpuperfcnt-6.4.3.p1.4 can't be fetched in Yocto Zeus imx-5.4.70-2.3.2.xml

cancel
Showing results for 
Search instead for 
Did you mean: 

libgpuperfcnt-6.4.3.p1.4 can't be fetched in Yocto Zeus imx-5.4.70-2.3.2.xml

508 Views
richard_hu
Contributor V

Hello, NXP team:

 

We encounter build failure on Yocto Zeus ( imx-5.4.70-2.3.2 branch).

The error message shows "ERROR: libgpuperfcnt-6.4.3.p1.4-r0 do_fetch: Fetcher failure for URL: 'https://www.nxp.com/lgfiles/NMG/MAD/YOCTO/libgpuperfcnt-6.4.3.p1.4-arm-x11.bin;fsl-eula=true;name=ar...'. Unable to fetch URL from any source.
"

Steps:

# repo init -u https://source.codeaurora.org/external/imx/imx-manifest -b imx-linux-zeus -m imx-5.4.70-2.3.2.xml
# repo sync -j8
# DISTRO=fsl-imx-x11 MACHINE=imx6dlsabresd source imx-setup-release.sh -b build-x11-imx6dlsabresd
# bitbake imx-image-full

 

Error message:


WARNING: libgpuperfcnt-6.4.3.p1.4-r0 do_fetch: Failed to fetch URL https://www.nxp.com/lgfiles/NMG/MAD/YOCTO/libgpuperfcnt-6.4.3.p1.4-arm-x11.bin;fsl-eula=true;name=ar..., attempting MIRRORS if available
ERROR: libgpuperfcnt-6.4.3.p1.4-r0 do_fetch: Fetcher failure: Fetch command export PSEUDO_DISABLED=1; unset _PYTHON_SYSCONFIGDATA_NAME; export PATH="/home/jenkins/workspace/yocto-zeus_5.4.70-2.3.2_NXP_official/sources/poky/scripts:/home/jenkins/workspace/yocto-zeus_5.4.70-2.3.2_NXP_official/build-x11-imx6dlsabresd/tmp/work/cortexa9t2hf-neon-mx6qdl-poky-linux-gnueabi/libgpuperfcnt/6.4.3.p1.4-r0/recipe-sysroot-native/usr/bin/arm-poky-linux-gnueabi:/home/jenkins/workspace/yocto-zeus_5.4.70-2.3.2_NXP_official/build-x11-imx6dlsabresd/tmp/work/cortexa9t2hf-neon-mx6qdl-poky-linux-gnueabi/libgpuperfcnt/6.4.3.p1.4-r0/recipe-sysroot/usr/bin/crossscripts:/home/jenkins/workspace/yocto-zeus_5.4.70-2.3.2_NXP_official/build-x11-imx6dlsabresd/tmp/work/cortexa9t2hf-neon-mx6qdl-poky-linux-gnueabi/libgpuperfcnt/6.4.3.p1.4-r0/recipe-sysroot-native/usr/sbin:/home/jenkins/workspace/yocto-zeus_5.4.70-2.3.2_NXP_official/build-x11-imx6dlsabresd/tmp/work/cortexa9t2hf-neon-mx6qdl-poky-linux-gnueabi/libgpuperfcnt/6.4.3.p1.4-r0/recipe-sysroot-native/usr/bin:/home/jenkins/workspace/yocto-zeus_5.4.70-2.3.2_NXP_official/build-x11-imx6dlsabresd/tmp/work/cortexa9t2hf-neon-mx6qdl-poky-linux-gnueabi/libgpuperfcnt/6.4.3.p1.4-r0/recipe-sysroot-native/sbin:/home/jenkins/workspace/yocto-zeus_5.4.70-2.3.2_NXP_official/build-x11-imx6dlsabresd/tmp/work/cortexa9t2hf-neon-mx6qdl-poky-linux-gnueabi/libgpuperfcnt/6.4.3.p1.4-r0/recipe-sysroot-native/bin:/home/jenkins/workspace/yocto-zeus_5.4.70-2.3.2_NXP_official/sources/poky/bitbake/bin:/home/jenkins/workspace/yocto-zeus_5.4.70-2.3.2_NXP_official/build-x11-imx6dlsabresd/tmp/hosttools"; export HOME="/home/jenkins"; /usr/bin/env wget -t 2 -T 30 --passive-ftp --no-check-certificate -P /home/jenkins/workspace/src/yocto3.0/downloads 'https://www.nxp.com/lgfiles/NMG/MAD/YOCTO/libgpuperfcnt-6.4.3.p1.4-arm-x11.bin' --progress=dot -v failed with exit code 8, output:
--2021-05-31 02:05:46-- https://www.nxp.com/lgfiles/NMG/MAD/YOCTO/libgpuperfcnt-6.4.3.p1.4-arm-x11.bin
Resolving www.nxp.com (www.nxp.com)... 104.116.5.240
Connecting to www.nxp.com (www.nxp.com)|104.116.5.240|:443... connected.
HTTP request sent, awaiting response... 404 Not Found
2021-05-31 02:05:47 ERROR 404: Not Found.


ERROR: libgpuperfcnt-6.4.3.p1.4-r0 do_fetch: Fetcher failure for URL: 'https://www.nxp.com/lgfiles/NMG/MAD/YOCTO/libgpuperfcnt-6.4.3.p1.4-arm-x11.bin;fsl-eula=true;name=ar...'. Unable to fetch URL from any source.
ERROR: Logfile of failure stored in: /home/jenkins/workspace/yocto-zeus_5.4.70-2.3.2_NXP_official/build-x11-imx6dlsabresd/tmp/work/cortexa9t2hf-neon-mx6qdl-poky-linux-gnueabi/libgpuperfcnt/6.4.3.p1.4-r0/temp/log.do_fetch.29625
ERROR: Task (/home/jenkins/workspace/yocto-zeus_5.4.70-2.3.2_NXP_official/sources/meta-imx/meta-sdk/recipes-graphics/libgpuperfcnt/libgpuperfcnt_6.4.3.p1.4.bb:do_fetch) failed with exit code '1'

 

You can easily to replicate this problem by downloading:

https://www.nxp.com/lgfiles/NMG/MAD/YOCTO/libgpuperfcnt-6.4.3.p1.4-arm-x11.bin

The link is invalid.

In "imx-5.4.70-2.3.2" branch, it uses "libgpuperfcnt-6.4.3.p1.0".

The download link is:

https://www.nxp.com/lgfiles/NMG/MAD/YOCTO/libgpuperfcnt-6.4.3.p1.0-arm-x11.bin

And it is valid.
 
So, it looks the problem is caused by "https://www.nxp.com/lgfiles/NMG/MAD/YOCTO/libgpuperfcnt-6.4.3.p1.4-arm-x11.bin" is invalid.
Could you fix the link?
 
Thanks~!!!
 
BR,
 
Richard
 
 
Labels (2)
0 Kudos
3 Replies

443 Views
richard_hu
Contributor V

Can anyone in NXP help to fix this problem?

0 Kudos

405 Views
joanxie
NXP TechSupport
NXP TechSupport

X11 isn't supported in 5.4 anymore

0 Kudos

470 Views
sinan
Contributor I

The problem still continues.

0 Kudos